Change log for network-manager-openvpn package in Ubuntu

165 of 65 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-27
Deleted in disco-proposed (Reason: moved to release)
network-manager-openvpn (1.8.10-1) unstable; urgency=medium

  * New upstream version 1.8.10
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Michael Biebl <email address hidden>  Tue, 26 Feb 2019 19:46:32 +0100
Superseded in disco-release on 2019-02-27
Deleted in disco-proposed on 2019-02-28 (Reason: moved to release)
network-manager-openvpn (1.8.10-0ubuntu1) disco; urgency=medium

  * New upstream version

 -- Sebastien Bacher <email address hidden>  Mon, 25 Feb 2019 20:30:10 +0100
Superseded in disco-release on 2019-02-25
Deleted in disco-proposed on 2019-02-27 (Reason: moved to release)
network-manager-openvpn (1.8.8-2) unstable; urgency=medium

  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/nm-openvpn-service.conf on
    upgrades

 -- Michael Biebl <email address hidden>  Tue, 27 Nov 2018 14:29:27 +0100

Available diffs

Superseded in disco-release on 2018-11-28
Deleted in disco-proposed on 2018-11-29 (Reason: moved to release)
network-manager-openvpn (1.8.8-1) unstable; urgency=medium

  * New upstream version 1.8.8
  * Drop patches, merged upstream

 -- Michael Biebl <email address hidden>  Wed, 17 Oct 2018 15:48:33 +0200
Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-10-11
Deleted in cosmic-proposed (Reason: moved to release)
network-manager-openvpn (1.8.6-1ubuntu1) cosmic; urgency=medium

  * debian/patches/editor-fix-memory-corruption-when-creating-advanced-.patch:
    Cherry-pick from upstream. Fix a missing unref when constructing the
    "advanced" dialog of the VPN connection editor. (LP: #1797236)

 -- Iain Lane <email address hidden>  Thu, 11 Oct 2018 16:40:07 +0100
Superseded in cosmic-release on 2018-10-11
Deleted in cosmic-proposed on 2018-10-12 (Reason: moved to release)
network-manager-openvpn (1.8.6-1) unstable; urgency=medium

  * New upstream version 1.8.6
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <email address hidden>  Sun, 07 Oct 2018 19:54:40 +0200

Available diffs

Superseded in cosmic-release on 2018-10-09
Deleted in cosmic-proposed on 2018-10-10 (Reason: moved to release)
network-manager-openvpn (1.8.4-1) unstable; urgency=medium

  * New upstream version 1.8.4

 -- Michael Biebl <email address hidden>  Sun, 20 May 2018 01:56:39 +0200

Available diffs

Superseded in cosmic-release on 2018-05-20
Published in bionic-release on 2018-03-13
Deleted in bionic-proposed (Reason: moved to release)
network-manager-openvpn (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Drop debian/patches/01-Fix_unusable_config_imports.patch, merged upstream

 -- Michael Biebl <email address hidden>  Tue, 13 Mar 2018 02:00:33 +0100

Available diffs

Superseded in bionic-release on 2018-03-13
Deleted in bionic-proposed on 2018-03-14 (Reason: moved to release)
network-manager-openvpn (1.8.0-3) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * debian/patches/: patchset updated
    - 01-Fix_unusable_config_imports.patch added (Closes: #736243, #888653)
  * debian/control: Vcs-* fields updated to point to salsa.d.o

  [ Michael Biebl ]
  * Set Rules-Requires-Root to no

 -- Michael Biebl <email address hidden>  Sat, 10 Mar 2018 01:36:19 +0100

Available diffs

Superseded in bionic-release on 2018-03-10
Deleted in bionic-proposed on 2018-03-11 (Reason: moved to release)
network-manager-openvpn (1.8.0-2) unstable; urgency=medium

  * Upload to unstable
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3

 -- Michael Biebl <email address hidden>  Sun, 21 Jan 2018 21:49:02 +0100
Superseded in bionic-release on 2018-03-05
Published in artful-release on 2017-10-01
Deleted in artful-proposed (Reason: moved to release)
network-manager-openvpn (1.2.10-0ubuntu2) artful; urgency=medium

  * debian/network-manager-openvpn-gnome.install:
    - Install appstream metadata (LP: #1720539)

 -- Jeremy Bicha <email address hidden>  Sun, 01 Oct 2017 08:48:53 -0400

Available diffs

Superseded in artful-release on 2017-10-01
Deleted in artful-proposed on 2017-10-03 (Reason: moved to release)
network-manager-openvpn (1.2.10-0ubuntu1) artful; urgency=medium

  * New upstream version (ffe lp: #1714509)
    - Allow choosing Adaptive or None LZO compression methods in the
      connection properties dialog (lp: #1714509)
    - Add support for dynamic challenge-response protocol
    - Avoid passing the obsolete "tls-remote" option to OpenVPN versions
      that no longer support it and discourage its use in the properties
      dialog (lp: #1666912)

 -- Sebastien Bacher <email address hidden>  Fri, 01 Sep 2017 17:01:07 +0200

Available diffs

Superseded in artful-release on 2017-09-01
Deleted in artful-proposed on 2017-09-02 (Reason: moved to release)
network-manager-openvpn (1.2.6-2ubuntu3) artful; urgency=medium

  * debian/control, debian/rules:
    - build with dh_translations

 -- Sebastien Bacher <email address hidden>  Fri, 01 Sep 2017 00:39:06 +0200

Available diffs

Published in xenial-updates on 2017-03-15
Deleted in xenial-proposed (Reason: moved to -updates)
network-manager-openvpn (1.1.93-1ubuntu1.1) xenial; urgency=medium

  * Add support for max-routes configuration. Cherry-picked from upstream Git.
    (LP: #1617098)

 -- Adam Collard <email address hidden>  Mon, 20 Feb 2017 14:16:41 +0000
Superseded in artful-release on 2017-08-31
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
network-manager-openvpn (1.2.6-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1629132) Remaining changes:
    - Allow the "udp6" and "tcp6" protocols to be passed through to OpenVPN.

Available diffs

Superseded in yakkety-release on 2016-10-10
Superseded in yakkety-release on 2016-09-26
Superseded in yakkety-release on 2016-08-20
Superseded in yakkety-release on 2016-08-19
Published in xenial-release on 2016-04-13
Deleted in xenial-proposed (Reason: moved to release)
network-manager-openvpn (1.1.93-1ubuntu1) xenial; urgency=medium

  * Allow the "udp6" and "tcp6" protocols to be passed through to OpenVPN.
    (LP: #777161)

 -- St├ęphane Graber <email address hidden>  Tue, 12 Apr 2016 20:53:33 -0400
Superseded in xenial-release on 2016-04-13
Deleted in xenial-proposed on 2016-04-14 (Reason: moved to release)
network-manager-openvpn (1.1.93-1) unstable; urgency=medium

  * New upstream release (1.2 rc1).
  * Rebase patches.

 -- Michael Biebl <email address hidden>  Wed, 06 Apr 2016 01:09:36 +0200
Superseded in xenial-release on 2016-04-11
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
network-manager-openvpn (0.9.10.0-1ubuntu2) wily; urgency=medium

  * debian/patches/02-build-specify-NM_VERSION_MIN_REQUIRED.patch:
    - Specify NM_VERSION_MIN_REQUIRED to fix FTBFS, patch pulled from git

 -- Luke Yelavich <email address hidden>  Wed, 14 Oct 2015 12:01:22 +1100
Superseded in wily-release on 2015-10-14
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
network-manager-openvpn (0.9.10.0-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Have network-manager-openvpn recommend
        network-manager-openvpn-gnome | plasma-nm.
      + Drop Vcs-* fields.
  * debian/patches/gtk_table_to_gtk_grid.patch:
    - Drop, no longer applicable.
  * debian/patches/enable_ipv6.patch, debian/patches/support-ipv6-dns:
    - Drop, fixed upstream.
  * debian/control:
    - Recommend plasma-nm instead of plasma-widget-networkmanagement.
 -- Artur Rona <email address hidden>   Thu, 29 Jan 2015 03:37:18 +0100
Superseded in vivid-release on 2015-01-29
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
network-manager-openvpn (0.9.8.4-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
    - debian/patches/enable_ipv6.patch: Add IPv6 support. (LP: #777161)
    - debian/patches/support-ipv6-dns: Support IPv6 DNS.

Superseded in utopic-release on 2014-05-03
Published in trusty-release on 2014-03-06
Deleted in trusty-proposed (Reason: moved to release)
network-manager-openvpn (0.9.8.2-1ubuntu4) trusty; urgency=medium

  * Fix IPv6 DNS support. Return IPv6 DNS servers are now passed to
    Network Manager and the list of domains is also now passed for both IPv4
    and IPv6 so that split DNS works as expected.
 -- Stephane Graber <email address hidden>   Thu, 06 Mar 2014 16:43:05 -0500
Superseded in trusty-release on 2014-03-06
Deleted in trusty-proposed on 2014-03-08 (Reason: moved to release)
network-manager-openvpn (0.9.8.2-1ubuntu3) trusty; urgency=medium

  * debian/patches/enable_ipv6.patch: allow openvpn to tunnel IPv6.
    (LP: #777161)
 -- Mathieu Trudel-Lapierre <email address hidden>   Thu, 06 Mar 2014 11:58:16 -0500
Superseded in trusty-release on 2014-03-06
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
network-manager-openvpn (0.9.8.2-1ubuntu2) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
  * Dropped changes:
    - debian/patches/auth_dialog_libexecdir.patch: Applied in new version

Superseded in saucy-release on 2013-06-11
Deleted in saucy-proposed on 2013-06-12 (Reason: moved to release)
network-manager-openvpn (0.9.8.0-2ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
    - debian/patches/auth_dialog_libexecdir.patch: specify libexecdir as
      /usr/lib/NetworkManager for the auth dialog to be able to spawn it
      properly in GNOME Shell
  * Dropped changes:
    - debian/patches/deprecated_g_type_init.patch: Applied in new version

Superseded in saucy-release on 2013-05-07
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
network-manager-openvpn (0.9.6.0-0ubuntu3) raring; urgency=low

  * Add deprecated_g_type_init.patch: Drop deprecated g_type_init(), to fix
    FTBFS with current glib. (Already fixed in upstream git head).
 -- Martin Pitt <email address hidden>   Wed, 10 Apr 2013 15:41:44 +0200
Superseded in raring-release on 2013-04-10
Obsolete in quantal-release on 2015-04-24
network-manager-openvpn (0.9.6.0-0ubuntu2) quantal; urgency=low

  * debian/patches/auth_dialog_libexecdir.patch: specify libexecdir as
    /usr/lib/NetworkManager for the auth dialog to be able to spawn it properly
    in GNOME Shell. (LP: #985788)
 -- Mathieu Trudel-Lapierre <email address hidden>   Fri, 10 Aug 2012 14:25:07 -0400
Superseded in quantal-release on 2012-08-14
network-manager-openvpn (0.9.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control: bump Build-Depends for network-manager libs.
 -- Mathieu Trudel-Lapierre <email address hidden>   Wed, 08 Aug 2012 16:57:02 -0400
Superseded in quantal-release on 2012-08-08
network-manager-openvpn (0.9.5.95-0ubuntu1) quantal; urgency=low

  * New upstream release.
 -- Mathieu Trudel-Lapierre <email address hidden>   Thu, 19 Jul 2012 15:24:16 -0400
Superseded in quantal-release on 2012-07-19
Published in precise-release on 2012-04-09
network-manager-openvpn (0.9.4.0-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #977306)
  * debian/control:
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.4).
    - Drop Build-Depends on libgconf2-dev.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright: update to use the machine-readable copyright format 1.0.
 -- Mathieu Trudel-Lapierre <email address hidden>   Mon, 09 Apr 2012 19:10:59 -0400
Superseded in precise-release on 2012-04-09
network-manager-openvpn (0.9.2.0-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - Update Breaks/Replaces for network-manager-openvpn-gnome.
  * debian/control: bump Build-Depends on dpkg-dev to (>= 1.16.1~) to satisfy
    Lintian.
  * debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
    password dialog to a GtkGrid.
 -- Mathieu Trudel-Lapierre <email address hidden>   Wed, 15 Feb 2012 12:37:02 -0500
Superseded in precise-release on 2012-02-15
Obsolete in oneiric-release on 2015-04-24
network-manager-openvpn (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.9.0. (LP: #846037)
    - ui: fix gtk_builder_set_translation_domain() calling
    - build: fix handling of GTK requirement if none was given
    - properties: add password type combo
    - properties: update builder .ui file
    - auth-dialog: use a simplified password request dialog
    - common-gnome: remove unused keyring stuff
    - auth-dialog: simplify keyring access and don't save secrets
    - properties: remove dead code and simplify password widget setup
    - properties: preserve secret flags and consolidate secrets handling
    - auth-dialog: use gtk_box_new() instead of gtk_(h/v)box_new()
    - core: add RSA-MD4 HMAC digest algorithm
    - auth-dialog: ensure saved secrets are passed back to NM
  * debian/control:
    - Bump NM Build-Depends to >= 0.9.
    - Replace Recommends for network-manager-openvpn-kde with
      plasma-widget-networkmanagement.
 -- Mathieu Trudel-Lapierre <email address hidden>   Fri, 09 Sep 2011 18:09:11 -0400
Superseded in oneiric-release on 2011-09-12
network-manager-openvpn (0.8.999-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental; remaining changes:
    - debian/control:
      + bump network-manager-openvpn-gnome Breaks and Replaces of n-m-openvpn
        to (<< 0.8.999-1ubuntu1).
      + add Recommends to network-manager-openvpn for n-m-openvpn-gnome or
        n-m-openvpn-kde
  * debian/rules: remove --gtk-ver=2 for configure, to build with GTK3.
  * debian/control: bump Build-Depends for GTK to libgtk-3-dev (>= 3.0.0).

Deleted in maverick-proposed on 2011-01-07 (Reason: failed SRU)
network-manager-openvpn (0.8.1+git.20100810t173015.1711d04-0ubuntu1.1) maverick-proposed; urgency=low

  * Correct the import mechanism to properly handle importing the comp-lzo,
    mssfix and auth parameters which expected an extra space that isn't always
    in an imported config (LP: #655124)
    - add debian/patches/00git-lp655124-import-extra-spaces-5e7a5ab.patch
    - update debian/patches/series
 -- Mathieu Trudel-Lapierre <email address hidden>   Tue, 19 Oct 2010 10:33:38 -0400
Superseded in oneiric-release on 2011-06-06
Obsolete in natty-release on 2013-06-04
network-manager-openvpn (0.8.1+git.20100810t173015.1711d04-0ubuntu2) natty; urgency=low

  * Correct the import mechanism to properly handle importing the comp-lzo,
    mssfix and auth parameters which expected an extra space that isn't always
    in an imported config (LP: #655124)
    - add debian/patches/00git-lp655124-import-extra-spaces-5e7a5ab.patch
    - update debian/patches/series
 -- Mathieu Trudel-Lapierre <email address hidden>   Tue, 19 Oct 2010 10:18:05 -0400
Superseded in natty-release on 2010-10-19
Obsolete in maverick-release on 2013-03-05
network-manager-openvpn (0.8.1+git.20100810t173015.1711d04-0ubuntu1) maverick; urgency=low

  * upstream snapshot 2010-08-10 17:30:15 (GMT)
    + 1711d04b1893fdb5763ce69561a2e6235a51e251
  * bump network-manager-dev, libnm-glib-dev, libnm-util-dev Build-Depends
    to >= 0.8.1
    - update debian/control
 -- Mathieu Trudel-Lapierre <email address hidden>   Wed, 11 Aug 2010 11:28:47 -0400
Superseded in maverick-release on 2010-08-11
Obsolete in lucid-release on 2016-10-26
network-manager-openvpn (0.8-0ubuntu3) lucid; urgency=low

  * Recommends network-manager-openvpn-kde instead of network-manager-kde
    - Closes LP: #562985
 -- Anthony Mercatante <email address hidden>   Wed, 14 Apr 2010 14:34:46 +0200

Available diffs

Superseded in lucid-release on 2010-04-14
network-manager-openvpn (0.8-0ubuntu2) lucid; urgency=low

  * Recommend network-manager-openvpn-gnome or network-manager-kde for
    network-manager-openvpn, so that so UI gets installed (LP: #516854)
    - update debian/control
  * Have network-manager-openvpn-gnome depend on network-manager-openvpn,
    otherwise it's useless (no backend installed) (LP: #534218)
    - update debian/control
 -- Mathieu Trudel <email address hidden>   Fri, 09 Apr 2010 11:17:11 -0400

Available diffs

Superseded in lucid-release on 2010-04-12
network-manager-openvpn (0.8-0ubuntu1) lucid; urgency=low

  * upstream release 0.8
    - core: add tls-remote support (bgo #455142)
    - export: fix tls-auth export
    - import/export: handle 'port' and 'rport' correctly (bgo #604329) (LP: #443174)
    - build: disable .desktop file for now
    - core: handle remote VPN peer correctly in shared key mode too (bgo #606998)
  * bump build-depends to >= 0.8 to build with 0.8 final.
    - update debian/control
  * don't install nm-openvpn.desktop, it's not being built
    - update debian/network-manager-openvpn.install
  * don't install the associated mime-type icon either
    - update debian/network-manager-openvpn-gnome.install
 -- Mathieu Trudel <email address hidden>   Fri, 19 Feb 2010 08:58:49 -0500

Available diffs

Superseded in lucid-release on 2010-02-20
network-manager-openvpn (0.8~rc1-0ubuntu3) lucid; urgency=low

  * debian/patches/nm-openvpn-fragment.patch: (LP: #506010)
    Adds the possibility to set the fragment size, which is
    needed to connect to some VPN networks with custom fragment
    sizes. (Gnome UI)
    Patch supplied by Daniel Bertolo <email address hidden>
 -- Stephan Hermann <email address hidden>   Wed, 17 Feb 2010 16:41:03 +0000
Superseded in lucid-release on 2010-02-17
network-manager-openvpn (0.8~rc1-0ubuntu2) lucid; urgency=low

  * Split out GNOME UI parts into separate package, save space for
    Kubuntu, Closes LP: #158856
 -- Jonathan Riddell <email address hidden>   Mon, 01 Feb 2010 20:47:44 +0000
Superseded in lucid-release on 2010-02-01
network-manager-openvpn (0.8~rc1-0ubuntu1) lucid; urgency=low

  * upstream release tagged 0.7.997 (NM 0.8~rc1)
    + 0.7.997
    - export: implement export and fix a few import/export bugs (LP: #264144)
    - tls: handle PEM files without an ending newline (rh #507315)
    - export: implement export for static-key configurations (bgo #573986)
  * Add logic to map ~rc1 to 0.7.997 tag, as per the main NM branch.
  * Bump build-deps to require NM 0.8~rc1.
  * Update Standards-Version to 3.8.3.
 -- Mathieu Trudel <email address hidden>   Tue, 22 Dec 2009 13:55:04 -0500
Superseded in lucid-release on 2010-01-26
Obsolete in karmic-release on 2013-03-04
network-manager-openvpn (0.8~a~git.20091008t123607.7c184a9-0ubuntu1) karmic; urgency=low

  * new upstream snapshot 2009-10-08 12:36:07 (GMT)
    + 7c184a9866daa5edd5015e0b675ca8d694b178ec
    - core: ensure clear error argument during validation (bgo #597593)

 -- Alexander Sack <email address hidden>   Wed, 14 Oct 2009 23:58:06 +0200
Superseded in karmic-release on 2009-10-14
network-manager-openvpn (0.8~a~git.20090928t200041.5576f56-0ubuntu1) karmic; urgency=low

  * upstream snapshot 2009-09-28 20:00:41 (GMT)
    + 5576f5634ed89f7a07dc6c633cde2a2eaf0376b4
    - fix LP: #436899 - OpenVPN connection cannot be established
    - fix LP: #436841 - IPv4 Advanced route options don't get to gconf
  * rebuild vpn packages after landing of ABI padding in NM
    - update debian/control

 -- Alexander Sack <email address hidden>   Fri, 02 Oct 2009 13:32:44 +0200
Superseded in karmic-release on 2009-10-06
network-manager-openvpn (0.8~a~git.20090831t215704.5dd87bd-0ubuntu2) karmic; urgency=low

  [ Alexander Sack <email address hidden> ]
  * libnm-glib soname transition rebuild for NM 0.8 - LP: #427400

  [ Mathieu Trudel <email address hidden> ]
  * update GET_SOURCE code: exit on any error
    - update debian/rules
  * make GET_SOURCE not go mad for git versions that use a different abbrev-id syntax
    - update debian/rules
  * fix noisy output: use grep -q -c rather than just -c in GET_SOURCE etc.
    - update debian/rules
  * add rule for get-snapshot-info
    - update debian/rules

 -- Mathieu Trudel <email address hidden>   Thu, 24 Sep 2009 16:38:13 +0200
Superseded in karmic-release on 2009-09-24
network-manager-openvpn (0.8~a~git.20090831t215704.5dd87bd-0ubuntu1) karmic; urgency=low

   * upstream snapshot 2009-08-31 21:57:04 (GMT)
     + 5dd87bdf08e4169b7388fe27bdd498ecc6962d61
       - changes to support NM 0.8
   * now tracking the trunk
     + commit id: 0.8~a~git.
   * updated tarball generation code.  Replaced get-orig-source,
     added get-current-source; also added support for LOCAL_BRANCH
     to support fta's build bot ( for daily builds )
     - update debian/rules
   * fixed tarball code; adding missing var DEB_MAJOR_VERSION;
     deleted unused var DEB_TAG_VERSION
     - update debian/rules
   * fixed problem with automake
     - update debian/rules
   * update build-depends to NM 0.8 bits
     - update debian/control
   * update build-depends due to internal NM version check
     in configure.ac; also updated Vcs-Bzr branch
     - update debian/control

 -- Tony Espy <email address hidden>   Tue, 01 Sep 2009 16:24:41 -0400
Superseded in karmic-release on 2009-09-11
network-manager-openvpn (0.7.1-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - Update DEB_DESTDIR to $(CURDIR)/debian/network-manager-openvpn instead of
      $(CURDIR)/debian/tmp/ so that the files we build actually get installed.
    - Fixes LP: #395541
  * debian/control:
    - Add missing dependency on ${misc:Depends} for network-manager-openvpn.
    - Bump standards version to 3.8.2.

 -- <email address hidden> (Cody A.W. Somerville)   Mon, 06 Jul 2009 23:36:29 -0300

Available diffs

Superseded in karmic-release on 2009-07-07
network-manager-openvpn (0.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release 0.7.1 final
  * updated build-depends to 0.7.1 final; add Vcs-Bzr line
    - update debian/control
  * added get-orig-source to generate .orig.tar.gz
    - update debian/rules
  * removed unused export-upstream-revision statement
    - update .bzr-builddeb/default.conf

  [ Alexander Sack <email address hidden> ]
  * run make distclean after autogen.sh in get-orig-source to get a clean tarball
    - update rules

 -- Tony Espy <email address hidden>   Thu, 25 Jun 2009 14:29:37 -0400
Superseded in karmic-release on 2009-07-03
Obsolete in jaunty-release on 2013-02-28
network-manager-openvpn (0.7.1~rc4.1.20090323+bzr27-0ubuntu2) jaunty; urgency=low

  * fix build failure by adding libglade2-dev to build-depends
    - update debian/control

Superseded in jaunty-release on 2009-04-09
network-manager-openvpn (0.7.1~rc4.1.20090323+bzr27-0ubuntu1) jaunty; urgency=low

  * new upstream snapshot Mar 23, 2009 aka rev 27 from
    http://bzr-playground.gnome.org/network-manager-openvpn/branches/NETWORKMANAGER_0_7/
    - update .bzr-builddeb/default.conf

 -- Alexander Sack <email address hidden>   Thu, 09 Apr 2009 01:42:50 +0200
Superseded in jaunty-release on 2009-04-09
network-manager-openvpn (0.7.1~20090213+bzr14-0ubuntu1) jaunty; urgency=low

  * new upstream snapshot Feb 13, 2009 aka rev 14 from
    http://bzr-playground.gnome.org/network-manager-openvpn/branches/NETWORKMANAGER_0_7/
    - update .bzr-builddeb/default.conf
  * bump lower bound for network-manager build-depends to >= 0.7.1~
    - update control

 -- Alexander Sack <email address hidden>   Tue, 17 Feb 2009 11:02:28 +0100
Superseded in jaunty-release on 2009-02-17
network-manager-openvpn (0.7-0ubuntu1) jaunty; urgency=low

  * New upstream release 0.7 final
  * adjust network manager build-depends to >= 0.7~
    - update debian/control
  * remove all previously disabled patches from debian/patches/
    - 01_fix_dbus_signal_name.diff        05_fix_nm-vpn-properties_path.diff
      02_fix_wrong_awk_path.diff          06_pull_dns_domain.diff
      03_allow_servercert_override.diff   04_increase_timeout.diff
    - update debian/patches/series

 -- Alexander Sack <email address hidden>   Mon, 12 Jan 2009 13:38:15 +0100
Superseded in jaunty-release on 2009-01-12
Obsolete in intrepid-release on 2013-02-20
network-manager-openvpn (0.7~~svn20081015t024626-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * adjust network manager build-depends to >= 0.7~~svn20081015
    - update debian/control

 -- Alexander Sack <email address hidden>   Thu, 16 Oct 2008 00:20:36 +0200
Superseded in intrepid-release on 2008-10-15
network-manager-openvpn (0.7~~svn20081008t224042-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot, fixes
    - LP: #275608 - nm-openvpn "Passwords with Certificate (TLS)" panel has
      wrong labels and inverts passwords
  * debian/control: adjust network manager build-depends to >= 0.7~~svn20081008

 -- Thierry Carrez <email address hidden>   Fri, 10 Oct 2008 16:08:23 +0200
Superseded in intrepid-release on 2008-10-13
network-manager-openvpn (0.7~~svn20080928t225540-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * adjust network manager build-depends to >= 0.7~~svn20080928
    - update debian/control

 -- Alexander Sack <email address hidden>   Mon, 29 Sep 2008 23:28:41 +0200
Superseded in intrepid-release on 2008-09-30
network-manager-openvpn (0.7~~svn20080908t183521a-0ubuntu2) intrepid; urgency=low

  * New upstream snapshot
  * adjust network manager build-depends to >= 0.7~~svn20080908
    - update debian/control

 -- Alexander Sack <email address hidden>   Wed, 10 Sep 2008 11:18:50 +0200
Superseded in intrepid-release on 2008-09-10
network-manager-openvpn (0.7~~svn20080908t183521-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * adjust network manager build-depends to >= 0.7~~svn20080908
    - update debian/control

 -- Alexander Sack <email address hidden>   Wed, 10 Sep 2008 10:58:09 +0200
Superseded in intrepid-release on 2008-09-10
network-manager-openvpn (0.7~~svn20080818t061112-0ubuntu1) intrepid; urgency=low

  Snapshot of openvpn plugin for network manager 0.7
  * disable all patches
    - update debian/patches/series
  * disable DEB_DH_MAKESHLIBS_ARGS_network-manager-openvpn in rules
    - update debian/rules
  * bump versioned depends on network-manager-dev and friends to >=
    0.7~~svn20080818
    - update debian/control
  * add build depends on libnm-glib-dev (>= 0.7~~svn20080818)
    - update debian/control
  * drop DEB_CONFIGURE_EXTRA_FLAGS from rules
    - update debian/rules
  * use absolute path for auth-dialog in VPN .name file
    - update nm-openvpn-service.name.in

 -- Alexander Sack <email address hidden>   Mon, 11 Aug 2008 01:40:13 +0200
Superseded in intrepid-release on 2008-08-18
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
network-manager-openvpn (0.3.2svn2342-1ubuntu4) gutsy; urgency=low

  * Fixed a null pointer dereference (LP: #147941) and fixed a leak
    on the way.

 -- Philipp Kern <email address hidden>   Tue, 02 Oct 2007 15:37:32 +0200
Superseded in gutsy-release on 2007-10-02
network-manager-openvpn (0.3.2svn2342-1ubuntu3) gutsy; urgency=low

  [ Cleanup ]
  * Switched to quilt for patch management.
  * Properly activated the awk patch.

  [ Bug fixes ]
  * Increased the timeout by 5s to 15s before openvpn gets killed
    forcefully. (LP: #117992)
  * Corrected the path to `nm-vpn-properties' in the desktop file.
    (LP: #123772)
  * Pull DNS domain setting from remote OpenVPN server.
    (LP: #138181)
  * Introduced a new configuration option enabling users to turn off the
    check for a proper `nsCertType=server' extension bit set in the
    server's certificate. (LP: #94788)

  [ Philipp Kern ]
  * Fixes (LP: #145884)

 -- Philipp Kern <email address hidden>   Fri, 28 Sep 2007 02:05:51 +0200
Superseded in gutsy-release on 2007-10-01
network-manager-openvpn (0.3.2svn2342-1ubuntu2) gutsy; urgency=low

  * Rebuilt against new Network-Manager
  * Added missing build-dep libnm-util-dev according to new
    Network-Manager

 -- Anthony Mercatante <email address hidden>   Fri, 15 Jun 2007 18:20:22 +0200
Superseded in gutsy-release on 2007-06-18
network-manager-openvpn (0.3.2svn2342-1ubuntu1) gutsy; urgency=low

  * Merge from Debian Unstable. Ubuntu changes:
    - Fix wrong path to awk (#90838)
    - Adjust Maintainer

Superseded in gutsy-release on 2007-06-05
Obsolete in feisty-release on 2009-08-20
network-manager-openvpn (0.3.2svn2342-0ubuntu3) feisty; urgency=low

  * Fix wrong path to awk. (LP: #90838)

 -- Soren Hansen <email address hidden>   Sun, 11 Mar 2007 03:12:02 +0100
Superseded in feisty-release on 2007-03-11
network-manager-openvpn (0.3.2svn2342-0ubuntu2) feisty; urgency=low

  * Only run autogen.sh once during build.
  * Reload network-manager in postinst.

 -- Soren Hansen <email address hidden>   Tue, 6 Mar 2007 14:48:43 +0100
Superseded in feisty-release on 2007-03-06
network-manager-openvpn (0.3.2svn2342-0ubuntu1) feisty; urgency=low

  * New SVN checkout (Closes: LP#88068)

 -- Soren Hansen <email address hidden>   Wed, 28 Feb 2007 11:55:22 +0100
Superseded in feisty-release on 2007-03-04
Superseded in feisty-release on 2007-02-22
network-manager-openvpn (0.3.2svn2315-0ubuntu1) feisty; urgency=low

  * Initial upload to Ubuntu

 -- Soren Hansen <email address hidden>   Sun, 18 Feb 2007 01:20:06 +0100
165 of 65 results